Save revisioned workspace onboarding
curl --request PUT \
--url https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 1,
"business": {
"url": "<string>",
"name": "<string>",
"maps_url": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"hours": "<string>"
},
"interests": {},
"widgets": [
"<string>"
],
"style": {
"primary": "<string>",
"secondary": "<string>",
"header_enabled": true,
"header_show_status": true,
"menu_show_arrow": true,
"tabbed_menu": true,
"text": "<string>",
"header_background_color": "<string>",
"header_text_color": "<string>",
"footer_background_color": "<string>",
"footer_text_color": "<string>",
"header_title": "<string>",
"header_subtitle": "<string>",
"footer_tabs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "<string>",
"destination": {
"view": "navigation_root",
"widget": "<string>"
},
"label": "<string>"
}
]
},
"template": "<string>",
"widget_drafts": [
{
"type": "<string>",
"selected": true,
"name": "<string>"
}
],
"tool_order": [
"<string>"
]
}
'import requests
url = "https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding"
payload = {
"revision": 1,
"business": {
"url": "<string>",
"name": "<string>",
"maps_url": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"hours": "<string>"
},
"interests": {},
"widgets": ["<string>"],
"style": {
"primary": "<string>",
"secondary": "<string>",
"header_enabled": True,
"header_show_status": True,
"menu_show_arrow": True,
"tabbed_menu": True,
"text": "<string>",
"header_background_color": "<string>",
"header_text_color": "<string>",
"footer_background_color": "<string>",
"footer_text_color": "<string>",
"header_title": "<string>",
"header_subtitle": "<string>",
"footer_tabs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "<string>",
"destination": {
"view": "navigation_root",
"widget": "<string>"
},
"label": "<string>"
}
]
},
"template": "<string>",
"widget_drafts": [
{
"type": "<string>",
"selected": True,
"name": "<string>"
}
],
"tool_order": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: 1,
business: {
url: '<string>',
name: '<string>',
maps_url: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
address: '<string>',
hours: '<string>'
},
interests: {},
widgets: ['<string>'],
style: {
primary: '<string>',
secondary: '<string>',
header_enabled: true,
header_show_status: true,
menu_show_arrow: true,
tabbed_menu: true,
text: '<string>',
header_background_color: '<string>',
header_text_color: '<string>',
footer_background_color: '<string>',
footer_text_color: '<string>',
header_title: '<string>',
header_subtitle: '<string>',
footer_tabs: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
icon: '<string>',
destination: {view: 'navigation_root', widget: '<string>'},
label: '<string>'
}
]
},
template: '<string>',
widget_drafts: [{type: '<string>', selected: true, name: '<string>'}],
tool_order: ['<string>']
})
};
fetch('https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 1,
'business' => [
'url' => '<string>',
'name' => '<string>',
'maps_url' => '<string>',
'phone' => '<string>',
'email' => 'jsmith@example.com',
'address' => '<string>',
'hours' => '<string>'
],
'interests' => [
],
'widgets' => [
'<string>'
],
'style' => [
'primary' => '<string>',
'secondary' => '<string>',
'header_enabled' => true,
'header_show_status' => true,
'menu_show_arrow' => true,
'tabbed_menu' => true,
'text' => '<string>',
'header_background_color' => '<string>',
'header_text_color' => '<string>',
'footer_background_color' => '<string>',
'footer_text_color' => '<string>',
'header_title' => '<string>',
'header_subtitle' => '<string>',
'footer_tabs' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'icon' => '<string>',
'destination' => [
'view' => 'navigation_root',
'widget' => '<string>'
],
'label' => '<string>'
]
]
],
'template' => '<string>',
'widget_drafts' => [
[
'type' => '<string>',
'selected' => true,
'name' => '<string>'
]
],
'tool_order' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding"
payload := strings.NewReader("{\n \"revision\": 1,\n \"business\": {\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"maps_url\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address\": \"<string>\",\n \"hours\": \"<string>\"\n },\n \"interests\": {},\n \"widgets\": [\n \"<string>\"\n ],\n \"style\": {\n \"primary\": \"<string>\",\n \"secondary\": \"<string>\",\n \"header_enabled\": true,\n \"header_show_status\": true,\n \"menu_show_arrow\": true,\n \"tabbed_menu\": true,\n \"text\": \"<string>\",\n \"header_background_color\": \"<string>\",\n \"header_text_color\": \"<string>\",\n \"footer_background_color\": \"<string>\",\n \"footer_text_color\": \"<string>\",\n \"header_title\": \"<string>\",\n \"header_subtitle\": \"<string>\",\n \"footer_tabs\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"icon\": \"<string>\",\n \"destination\": {\n \"view\": \"navigation_root\",\n \"widget\": \"<string>\"\n },\n \"label\": \"<string>\"\n }\n ]\n },\n \"template\": \"<string>\",\n \"widget_drafts\": [\n {\n \"type\": \"<string>\",\n \"selected\": true,\n \"name\": \"<string>\"\n }\n ],\n \"tool_order\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revision\": 1,\n \"business\": {\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"maps_url\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address\": \"<string>\",\n \"hours\": \"<string>\"\n },\n \"interests\": {},\n \"widgets\": [\n \"<string>\"\n ],\n \"style\": {\n \"primary\": \"<string>\",\n \"secondary\": \"<string>\",\n \"header_enabled\": true,\n \"header_show_status\": true,\n \"menu_show_arrow\": true,\n \"tabbed_menu\": true,\n \"text\": \"<string>\",\n \"header_background_color\": \"<string>\",\n \"header_text_color\": \"<string>\",\n \"footer_background_color\": \"<string>\",\n \"footer_text_color\": \"<string>\",\n \"header_title\": \"<string>\",\n \"header_subtitle\": \"<string>\",\n \"footer_tabs\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"icon\": \"<string>\",\n \"destination\": {\n \"view\": \"navigation_root\",\n \"widget\": \"<string>\"\n },\n \"label\": \"<string>\"\n }\n ]\n },\n \"template\": \"<string>\",\n \"widget_drafts\": [\n {\n \"type\": \"<string>\",\n \"selected\": true,\n \"name\": \"<string>\"\n }\n ],\n \"tool_order\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revision\": 1,\n \"business\": {\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"maps_url\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address\": \"<string>\",\n \"hours\": \"<string>\"\n },\n \"interests\": {},\n \"widgets\": [\n \"<string>\"\n ],\n \"style\": {\n \"primary\": \"<string>\",\n \"secondary\": \"<string>\",\n \"header_enabled\": true,\n \"header_show_status\": true,\n \"menu_show_arrow\": true,\n \"tabbed_menu\": true,\n \"text\": \"<string>\",\n \"header_background_color\": \"<string>\",\n \"header_text_color\": \"<string>\",\n \"footer_background_color\": \"<string>\",\n \"footer_text_color\": \"<string>\",\n \"header_title\": \"<string>\",\n \"header_subtitle\": \"<string>\",\n \"footer_tabs\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"icon\": \"<string>\",\n \"destination\": {\n \"view\": \"navigation_root\",\n \"widget\": \"<string>\"\n },\n \"label\": \"<string>\"\n }\n ]\n },\n \"template\": \"<string>\",\n \"widget_drafts\": [\n {\n \"type\": \"<string>\",\n \"selected\": true,\n \"name\": \"<string>\"\n }\n ],\n \"tool_order\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"request_id": "<string>",
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}Save revisioned workspace onboarding
Requires personalized_onboarding. Read the current revision and catalogs before saving.
PUT
/
workspaces
/
{workspace}
/
onboarding
Save revisioned workspace onboarding
curl --request PUT \
--url https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 1,
"business": {
"url": "<string>",
"name": "<string>",
"maps_url": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"hours": "<string>"
},
"interests": {},
"widgets": [
"<string>"
],
"style": {
"primary": "<string>",
"secondary": "<string>",
"header_enabled": true,
"header_show_status": true,
"menu_show_arrow": true,
"tabbed_menu": true,
"text": "<string>",
"header_background_color": "<string>",
"header_text_color": "<string>",
"footer_background_color": "<string>",
"footer_text_color": "<string>",
"header_title": "<string>",
"header_subtitle": "<string>",
"footer_tabs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "<string>",
"destination": {
"view": "navigation_root",
"widget": "<string>"
},
"label": "<string>"
}
]
},
"template": "<string>",
"widget_drafts": [
{
"type": "<string>",
"selected": true,
"name": "<string>"
}
],
"tool_order": [
"<string>"
]
}
'import requests
url = "https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding"
payload = {
"revision": 1,
"business": {
"url": "<string>",
"name": "<string>",
"maps_url": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"hours": "<string>"
},
"interests": {},
"widgets": ["<string>"],
"style": {
"primary": "<string>",
"secondary": "<string>",
"header_enabled": True,
"header_show_status": True,
"menu_show_arrow": True,
"tabbed_menu": True,
"text": "<string>",
"header_background_color": "<string>",
"header_text_color": "<string>",
"footer_background_color": "<string>",
"footer_text_color": "<string>",
"header_title": "<string>",
"header_subtitle": "<string>",
"footer_tabs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"icon": "<string>",
"destination": {
"view": "navigation_root",
"widget": "<string>"
},
"label": "<string>"
}
]
},
"template": "<string>",
"widget_drafts": [
{
"type": "<string>",
"selected": True,
"name": "<string>"
}
],
"tool_order": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: 1,
business: {
url: '<string>',
name: '<string>',
maps_url: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
address: '<string>',
hours: '<string>'
},
interests: {},
widgets: ['<string>'],
style: {
primary: '<string>',
secondary: '<string>',
header_enabled: true,
header_show_status: true,
menu_show_arrow: true,
tabbed_menu: true,
text: '<string>',
header_background_color: '<string>',
header_text_color: '<string>',
footer_background_color: '<string>',
footer_text_color: '<string>',
header_title: '<string>',
header_subtitle: '<string>',
footer_tabs: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
icon: '<string>',
destination: {view: 'navigation_root', widget: '<string>'},
label: '<string>'
}
]
},
template: '<string>',
widget_drafts: [{type: '<string>', selected: true, name: '<string>'}],
tool_order: ['<string>']
})
};
fetch('https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 1,
'business' => [
'url' => '<string>',
'name' => '<string>',
'maps_url' => '<string>',
'phone' => '<string>',
'email' => 'jsmith@example.com',
'address' => '<string>',
'hours' => '<string>'
],
'interests' => [
],
'widgets' => [
'<string>'
],
'style' => [
'primary' => '<string>',
'secondary' => '<string>',
'header_enabled' => true,
'header_show_status' => true,
'menu_show_arrow' => true,
'tabbed_menu' => true,
'text' => '<string>',
'header_background_color' => '<string>',
'header_text_color' => '<string>',
'footer_background_color' => '<string>',
'footer_text_color' => '<string>',
'header_title' => '<string>',
'header_subtitle' => '<string>',
'footer_tabs' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'icon' => '<string>',
'destination' => [
'view' => 'navigation_root',
'widget' => '<string>'
],
'label' => '<string>'
]
]
],
'template' => '<string>',
'widget_drafts' => [
[
'type' => '<string>',
'selected' => true,
'name' => '<string>'
]
],
'tool_order' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding"
payload := strings.NewReader("{\n \"revision\": 1,\n \"business\": {\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"maps_url\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address\": \"<string>\",\n \"hours\": \"<string>\"\n },\n \"interests\": {},\n \"widgets\": [\n \"<string>\"\n ],\n \"style\": {\n \"primary\": \"<string>\",\n \"secondary\": \"<string>\",\n \"header_enabled\": true,\n \"header_show_status\": true,\n \"menu_show_arrow\": true,\n \"tabbed_menu\": true,\n \"text\": \"<string>\",\n \"header_background_color\": \"<string>\",\n \"header_text_color\": \"<string>\",\n \"footer_background_color\": \"<string>\",\n \"footer_text_color\": \"<string>\",\n \"header_title\": \"<string>\",\n \"header_subtitle\": \"<string>\",\n \"footer_tabs\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"icon\": \"<string>\",\n \"destination\": {\n \"view\": \"navigation_root\",\n \"widget\": \"<string>\"\n },\n \"label\": \"<string>\"\n }\n ]\n },\n \"template\": \"<string>\",\n \"widget_drafts\": [\n {\n \"type\": \"<string>\",\n \"selected\": true,\n \"name\": \"<string>\"\n }\n ],\n \"tool_order\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revision\": 1,\n \"business\": {\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"maps_url\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address\": \"<string>\",\n \"hours\": \"<string>\"\n },\n \"interests\": {},\n \"widgets\": [\n \"<string>\"\n ],\n \"style\": {\n \"primary\": \"<string>\",\n \"secondary\": \"<string>\",\n \"header_enabled\": true,\n \"header_show_status\": true,\n \"menu_show_arrow\": true,\n \"tabbed_menu\": true,\n \"text\": \"<string>\",\n \"header_background_color\": \"<string>\",\n \"header_text_color\": \"<string>\",\n \"footer_background_color\": \"<string>\",\n \"footer_text_color\": \"<string>\",\n \"header_title\": \"<string>\",\n \"header_subtitle\": \"<string>\",\n \"footer_tabs\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"icon\": \"<string>\",\n \"destination\": {\n \"view\": \"navigation_root\",\n \"widget\": \"<string>\"\n },\n \"label\": \"<string>\"\n }\n ]\n },\n \"template\": \"<string>\",\n \"widget_drafts\": [\n {\n \"type\": \"<string>\",\n \"selected\": true,\n \"name\": \"<string>\"\n }\n ],\n \"tool_order\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.contactbutton.com/v1/workspaces/{workspace}/onboarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revision\": 1,\n \"business\": {\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"maps_url\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address\": \"<string>\",\n \"hours\": \"<string>\"\n },\n \"interests\": {},\n \"widgets\": [\n \"<string>\"\n ],\n \"style\": {\n \"primary\": \"<string>\",\n \"secondary\": \"<string>\",\n \"header_enabled\": true,\n \"header_show_status\": true,\n \"menu_show_arrow\": true,\n \"tabbed_menu\": true,\n \"text\": \"<string>\",\n \"header_background_color\": \"<string>\",\n \"header_text_color\": \"<string>\",\n \"footer_background_color\": \"<string>\",\n \"footer_text_color\": \"<string>\",\n \"header_title\": \"<string>\",\n \"header_subtitle\": \"<string>\",\n \"footer_tabs\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"icon\": \"<string>\",\n \"destination\": {\n \"view\": \"navigation_root\",\n \"widget\": \"<string>\"\n },\n \"label\": \"<string>\"\n }\n ]\n },\n \"template\": \"<string>\",\n \"widget_drafts\": [\n {\n \"type\": \"<string>\",\n \"selected\": true,\n \"name\": \"<string>\"\n }\n ],\n \"tool_order\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"request_id": "<string>",
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"resolution": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}Authorizations
A Contact Button scoped bearer key. Send Authorization: Bearer <token>.
Token abilities are enforced independently of workspace membership; both checks must pass.
REST requires a Sanctum API key. Separately, interactive MCP clients can use registered
OAuth applications with PKCE and audience-bound workspace grants; those tokens are not REST credentials.
Headers
Body
application/json
- Option 1
- Option 2
Read onboarding first and send its current revision. Optional style settings follow the Button editor, including header and footer tabs. Stale revisions return 409. Completion may create draft resources; inspect returned state.
Was this page helpful?